#import <Cocoa/Cocoa.h>
#import <RobotKit/RobotKit.h>

@interface MyWindowController : NSWindowController {
    BOOL isCalibrating;
    unsigned int keyMask;
    BOOL calibrateDirection;
    BOOL noArrowsPressed;
    
    int robotstatus;
    
    // File / Connection Labels
    IBOutlet NSTextField *filenamelabel;
    IBOutlet NSTextField *filePathlabel;
    IBOutlet NSTextField *reconnectlabel;
    
    // Edit and Output 
    IBOutlet NSTextView *messageView;
    IBOutlet NSTextView *orbbasic;
    
    // Color Sliders
    IBOutlet NSSlider *redSlider;
    IBOutlet NSSlider *greenSlider;
    IBOutlet NSSlider *blueSlider;
    
    // Roll Sliders
    IBOutlet NSSlider *speedSlider;
    IBOutlet NSSlider *directionSlider;
    IBOutlet NSSlider *delaySlider;
    
    // Adjust Heading Sliders
    IBOutlet NSSlider *adjustHeadingSlider;
    
    // Color Labels
    IBOutlet NSTextField *redLabel;
    IBOutlet NSTextField *greenLabel;
    IBOutlet NSTextField *blueLabel;
    
    // Roll Labels
    IBOutlet NSTextField *speedLabel;
    IBOutlet NSTextField *directionLabel;
    IBOutlet NSTextField *delayLabel;
    
    // RGB Color Well
    IBOutlet NSColorWell *rgbColorWell;
    
    IBOutlet NSButtonCell *stabilizationOnButton;
    IBOutlet NSButtonCell *stabilizationOffButton;
    IBOutlet NSButtonCell *backLEDOffButton;
    IBOutlet NSButtonCell *backLEDOnButton;

    
    RKOrbBasicProgram* orbBasicProgram;
}

// Robot Communication
-(void)robotWentOnline;

// UI Updates
-(IBAction)clearDebug:(id)sender;
-(void)setupFonts;
-(void)changeColorWithRed:(int)r Green:(int)g Blue:(int)b;

// Printing
- (IBAction)printOrbBASICDocument:(id)sender;

// Buttons
-(IBAction)abortPressed:(id)sender;
-(IBAction)executePressed:(id)sender;
-(IBAction)openPressed:(id)sender;
-(IBAction)reconnect:(id)sender;
-(IBAction)savePressed:(id)sender;
-(IBAction)sleepPressed:(id)sender;
-(IBAction)rollPressed:(id)sender;
-(IBAction)stabilizationOnPressed:(id)sender;
-(IBAction)stabilizationOffPressed:(id)sender;
-(IBAction)backLEDOnPressed:(id)sender;
-(IBAction)backLEDOffPressed:(id)sender;
-(IBAction)newPressed:(id)sender;
-(IBAction)getBatteryInfoPressed:(id)sender;
-(IBAction)getInfoPressed:(id)sender;


// Examples Pass through
-(IBAction)showExampleWithText:(NSString *)text;

// RGB Sliders Moved
-(IBAction)redSliderMoved:(id)sender;
-(IBAction)greenSliderMoved:(id)sender;
-(IBAction)blueSliderMoved:(id)sender;

// Roll Sliders Moved
-(IBAction)speedSliderMoved:(id)sender;
-(IBAction)directionSliderMoved:(id)sender;
-(IBAction)delaySliderMoved:(id)sender;

// Adjust Heading Sliders Moved
-(IBAction)adjustHeadingSliderMoved:(id)sender;

@end
